package de.ozgcloud.xta.client.core;

import de.ozgcloud.xta.client.config.XtaClientConfig;
import de.ozgcloud.xta.client.exception.XtaClientInitializationException;
import lombok.Builder;

@Builder
public class XtaClientServiceFactory {

	private final WrappedXtaServiceFactory wrappedXtaServiceFactory;
	private final XtaClientConfig config;

	public static XtaClientServiceFactory from(XtaClientConfig config) {
		return XtaClientServiceFactory.builder()
				.config(config)
				.wrappedXtaServiceFactory(WrappedXtaServiceFactory.from(config))
				.build();
	}

	public XtaClientService create() throws XtaClientInitializationException {
		return XtaClientService.builder()
				.config(config)
				.service(wrappedXtaServiceFactory.create())
				.build();
	}
}
