package de.ozgcloud.xta.client.xdomea.reader;

import javax.xml.xpath.XPathExpression;
import javax.xml.xpath.XPathExpressionException;
import javax.xml.xpath.XPathFactory;

import de.ozgcloud.xta.client.exception.XtaClientRuntimeException;
import lombok.Builder;
import lombok.RequiredArgsConstructor;

@Builder
@RequiredArgsConstructor
public class XmlValueReaderFactory {

	private final XPathFactory xPathFactory;
	private final String textXpathString;

	private XPathExpression compileXPathExpression() {
		try {
			return xPathFactory.newXPath().compile(textXpathString);
		} catch (XPathExpressionException e) {
			throw new XtaClientRuntimeException("Failed to compile xpath expression!", e);
		}
	}

	public XmlValueReader create() {
		return XmlValueReader.builder()
				.xPathExpression(compileXPathExpression())
				.build();
	}
}
