package de.ozgcloud.xta.client.factory;

import genv3.de.xoev.transport.xta.x211.IsServiceAvailableValueType;
import genv3.de.xoev.transport.xta.x211.LookupServiceResponse;
import genv3.de.xoev.transport.xta.x211.LookupServiceResultType;
import lombok.Builder;

public class LookupServiceResponseTestFactory {

	public static LookupServiceResponse create(Boolean serviceAvailable) {
		return LookupServiceResponseFactory.builder()
				.serviceAvailable(serviceAvailable)
				.build()
				.create();
	}

	@Builder
	public static class LookupServiceResponseFactory {
		private final Boolean serviceAvailable;

		public LookupServiceResponse create() {
			var response = new LookupServiceResponse();
			response.setLookupServiceResultList(createLookupServiceResultList());
			return response;
		}

		LookupServiceResponse.LookupServiceResultList createLookupServiceResultList() {
			var result = new LookupServiceResponse.LookupServiceResultList();
			result.getLookupServiceResult().add(createLookupServiceResult());
			return result;
		}

		LookupServiceResultType createLookupServiceResult() {
			var result = new LookupServiceResultType();
			var availableType = new IsServiceAvailableValueType();
			availableType.setServiceIsAvailable(serviceAvailable);
			result.setIsServiceAvailableValue(availableType);
			return result;
		}
	}
}
