package de.ozgcloud.xta.client.factory;

import java.util.List;

import de.ozgcloud.xta.client.xdomea.reader.XdomeaXmlValues;

public class XdomeaXmlValuesTestFactory {

	public static final String PROCESS_ID = "000ProcessId-111";
	public static final String SHORT_MESSAGE_TYPE_CODE = "messageTypeCode";
	public static final String AUTHOR_ID_SUFFIX = "authorIdSuffix";
	public static final String AUTHOR_ID_PREFIX = "authorIdPrefix";
	public static final String READER_ID_SUFFIX = "readerIdSuffix";
	public static final String READER_ID_PREFIX = "readerIdPrefix";

	public static final List<String> PRIMARY_DOCUMENT_NAMES = List.of("doc.pdf", "doc.xml");

	public static XdomeaXmlValues create() {
		return createBuilder().build();
	}

	public static XdomeaXmlValues.XdomeaXmlValuesBuilder createBuilder() {
		return XdomeaXmlValues.builder()
				.processId(PROCESS_ID)
				.messageTypeCode(SHORT_MESSAGE_TYPE_CODE)
				.authorIdSuffix(AUTHOR_ID_SUFFIX)
				.authorIdPrefix(AUTHOR_ID_PREFIX)
				.readerIdSuffix(READER_ID_SUFFIX)
				.readerIdPrefix(READER_ID_PREFIX)
				.primaryDocumentNames(PRIMARY_DOCUMENT_NAMES);
	}
}
