package de.ozgcloud.xta.client.factory;

import java.math.BigInteger;

import jakarta.activation.DataHandler;
import jakarta.mail.util.ByteArrayDataSource;

import de.ozgcloud.xta.client.model.XtaFile;

public class XtaFileTestFactory {

	public static byte[] XTA_FILE_CONTENT = "Testinhalt".getBytes();
	public static String XTA_FILE_CONTENT_TYPE = "text/plain";
	public static String XTA_FILE_CONTENT_DESCRIPTION = "test description";
	public static String XTA_FILE_ENCODING = "UTF-8";
	public static String XTA_FILE_NAME = "test.txt";
	public static String XTA_FILE_ID = "test-file-id";
	public static String XTA_FILE_ID_2 = "test-file-id2";
	public static String XTA_FILE_ID_3 = "test-file-id2";
	public static String XTA_FILE_LANGUAGE = "de";

	public static BigInteger XTA_FILE_SIZE = BigInteger.valueOf(XTA_FILE_CONTENT.length);

	public static XtaFile create() {
		return createBuilder().build();
	}

	public static XtaFile.XtaFileBuilder createBuilder() {
		return XtaFile.builder()
				.content(createOctetStream(XTA_FILE_CONTENT))
				.contentType(XTA_FILE_CONTENT_TYPE)
				.contentDescription(XTA_FILE_CONTENT_DESCRIPTION)
				.encoding(XTA_FILE_ENCODING)
				.name(XTA_FILE_NAME)
				.id(XTA_FILE_ID)
				.language(XTA_FILE_LANGUAGE)
				.size(XTA_FILE_SIZE);
	}

	private static DataHandler createOctetStream(byte[] xtaFileContent) {
		var dataSource = new ByteArrayDataSource(xtaFileContent, "application/octet-stream");
		return new DataHandler(dataSource);
	}
}
