package de.ozgcloud.xta.client.factory;

import static de.ozgcloud.xta.client.factory.XtaFileTestFactory.*;

import java.util.List;

import de.ozgcloud.xta.client.extension.XtaMessageExampleLoader;
import de.ozgcloud.xta.client.model.XtaMessage;

public class XtaMessageTestFactory {

	public static final XtaMessage EXAMPLE_ABGABE_MESSAGE = XtaMessageExampleLoader.load(
			XtaMessageExampleLoader.MessageExampleConfig.builder()
					.messageLabel("abgabe0401-kleiner-waffenschein")
					.build());

	public static XtaMessage create() {
		return createBuilder().build();
	}

	public static XtaMessage.XtaMessageBuilder createBuilder() {
		return XtaMessage.builder()
				.metaData(XtaMessageMetaDataTestFactory.create())
				.messageFile(XtaFileTestFactory.create())
				.attachmentFiles(List.of(
						XtaFileTestFactory.createBuilder().id(XTA_FILE_ID_2).build(),
						XtaFileTestFactory.createBuilder().id(XTA_FILE_ID_3).build()
				));
	}
}
